/**
 * output package name
 */
package com.kingdee.eas.custom.gggl;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.StringEnum;

/**
 * output class name
 */
public class ZHEnum extends StringEnum
{
    public static final String ZH_VALUE = "zh";//alias=×â»§
    public static final String FZ_VALUE = "fz";//alias=·Ç×â»§

    public static final ZHEnum zh = new ZHEnum("zh", ZH_VALUE);
    public static final ZHEnum fz = new ZHEnum("fz", FZ_VALUE);

    /**
     * construct function
     * @param String zHEnum
     */
    private ZHEnum(String name, String zHEnum)
    {
        super(name, zHEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static ZHEnum getEnum(String zHEnum)
    {
        return (ZHEnum)getEnum(ZHEnum.class, zHEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(ZHEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(ZHEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(ZHEnum.class);
    }
}